Get rentable items for an applicant
https://api.propexo.com/v1/applicants/:id/rentable-itemsDeprecated: Use GET /v1/rentable-item-assignments instead. Get all rentable items associated with a specific applicant.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the rentable item
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
L10The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
v233a3a-48a7-47cc-9124-d46669cb1a71The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for RESMAN
nullDeprecated: Use associated_applicant_ids instead.
This field will always be null for RESMAN
nullDeprecated: Use associated_lead_ids instead.
This field will always be null for RESMAN
nullDeprecated: Use associated_resident_ids instead.
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
The external ID of the type from the integration vendor
This field will always be null for RESMAN
nullThe external ID of the charge code from the integration vendor
This field will always be null for RESMAN
nullThe amount of the rentable item, in cents
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
10000Description of the rentable item
This field will always be null for RESMAN
nullThe name of the rentable item
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
L10Whether the rentable item is available
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
trueThe date the rentable item is reserved until
This field will always be null for RESMAN
nullThe type associated with the rentable item
| Interface | Method |
|---|---|
| Residents | /Residents/GetRentableItems |
ParkingDeprecated: Use GET /v1/rentable-item-assignments for assignment history. The applicant IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.
True when more than 20 applicant associations exist and associated_applicant_ids was capped to the 20 most recently seen.
This field is not currently hydrated for RESMAN
Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The lead IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.
True when more than 20 lead associations exist and associated_lead_ids was capped to the 20 most recently seen.
This field is not currently hydrated for RESMAN
Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The resident IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.
True when more than 20 resident associations exist and associated_resident_ids was capped to the 20 most recently seen.
This field is not currently hydrated for RESMAN
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_RESTRESMANThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhDeprecated: Use associated_applicant_ids instead.
This field will always be null for RESMAN
nullDeprecated: Use associated_lead_ids instead.
This field will always be null for RESMAN
nullDeprecated: Use associated_resident_ids instead.
This is deprecated. Use the /residents/:id/rentable-items endpoint to read this data instead
This field will always be null for RESMAN
nullThe Propexo unique identifier for the charge code
This field will always be null for RESMAN
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/applicants/:id/rentable-items \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "L10",
"x_property_id": "v233a3a-48a7-47cc-9124-d46669cb1a71",
"x_location_id": null,
"x_type_id": null,
"x_charge_code_id": null,
"amount_in_cents": 10000,
"description": null,
"name": "L10",
"is_available": true,
"reserved_until_date": null,
"type": "Parking",
"associated_applicant_ids_truncated": true,
"associated_lead_ids_truncated": true,
"associated_resident_ids_truncated": true,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh",
"charge_code_id": null
}
]
}